:root {
  /* font-family: "Noto Sans JP", sans-serif; */
  font-family: YakuhanJP, "Noto Sans JP", sans-serif;

  font-feature-settings: "pwid" on, "palt" on;
  font-style: normal;

  --Border-primary: #e9e7e7;
  --Button-LG-min-width: 320px;
  --Button-LG-margin-horizontal: 16px;
  --Button-LG-margin-vertical: 20px;
  --Button-LG-margin-extend: 24px;
  --Button-MD-min-width: 240px;
  --Button-MD-margin-horizontal: 8px;
  --Button-MD-margin-vertical: 12px;
  --Button-LG-min-height: 80px;
  --Button-primary: #b25200;
  --Blue-50: #0081cc;
  --Border-error: #ffccc7;

  --Corner-L: 24px;
  --Margin-M: 24px;
  --typography-font-size-text-sm-14-px: 14px;
  --typography-font-size-text-md-16-px: 16px;
  --typography-font-size-text-lg-18-px: 18px;
  --Typography-Size-display-H3: 24px;
  --Typography-Size-display-H2: 30px;

  --layout-margin-basic: 24px;
  --layout-margin-form: 32px;
  --layout-column-44: 512px;
  --layout-column-64: 780px;
  --layout-column-124: 335px;
  --layout-column-84: 1048px;
  --layout-margin-section: 64px;

  --darkBrown-30: #534b3d;
  --Fill-white: #fff;
  --Fill-light-gray: #f4f2f2;
  --Fill-background: #fafafa;
  --Yellow-90: #ffefd1;
  --Red-30: #ad0827;
  --Red-50: #eb5154;
  --Red-90: #fff1f0;
  --wf-txt-primary: #333;
  --Gray-100: #fff;
  --Orange-50: #d26b1e;
  --Icon-orange: #d26b1e;
  --Orange-90: #fff2eb;

  --Text-Primary: #333333;
  --Text-Secondary: #636363;
  --Text-alert: #cc333d;
  --Text-Reverse: #fff;
  --Text-placeholder: #bab8b8;

  --spacing-00-px: 0px;
  --spacing-xs: 4px;
  --spacing-14-px: 4px;
  --spacing-156-px: 6px;
  --spacing-28-px: 8px;
  --spacing-312-px: 12px;
  --spacing-416-px: 16px;
  --spacing-520-px: 20px;
  --spacing-624-px: 24px;
  --spacing-1040-px: 40px;
  --spacing-1248-px: 48px;

  --Radius-radius-md: 8px;
  --Radius-radius-4xl: 24px;
  --Radius-radius-full: 999px;
}
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

*,
*::before,
*::after {
  box-sizing: border-box;
}

input::-ms-reveal {
  display: none;
}

body {
  background: var(--Fill-background, #fafafa);
}
button {
  font-family: "Noto Sans JP", sans-serif;
  cursor: pointer;
}

a:hover {
  opacity: 0.7;
  cursor: pointer;
}

.p-0-5 {
  padding: 2px;
}

.pt-0-5 {
  padding-top: 2px;
}

.pt-1 {
  padding-top: 4px;
}

.ml--1 {
  margin-left: -4px;
}

.mr-0-625 {
  margin-right: 2.5px;
}

.pr-2 {
  padding-right: 8px;
}

.gap-1 {
  gap: 4px !important;
}

.w-full {
  width: 100% !important;
}

.rounded-full {
  border-radius: var(--Radius-radius-full, 999px) !important;
}

.hidden {
  display: none;
}

.typography-bold {
  color: var(--Text-Primary, #333);
  font-weight: 700;
  line-height: 180%;
}

.typography-regular {
  color: var(--Text-Primary, #333);
  font-size: var(--typography-font-size-text-md-16-px, 16px) !important;
  font-weight: 400 !important;
  line-height: 170% !important;
}

.font-none {
  font-family: none !important;
}

.deco-none {
    text-decoration: none;
    color: var(--Text-Secondary, #636363);
}

@media screen and (min-width: 320px) and (max-width: 374px) {
  .typography-regular {
    font-size: 15px !important;
  }
}
